Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jain.protocol.ss7.oam.mtp3
Interface LinkSetMBean

public abstract interface LinkSetMBean
extends Mtp3ManagedObjectMBean

This interface defines the methods of a Linkset to an adjacent node. Managed Bean.

There are no statistics that can be collected for this MBean

The following Alarms can be emitted by this MBean

- ALARM_MO_CREATED
- ALARM_MO_DELETED
- ALARM_MO_ATTRIBUTE_VALUE_CHANGED
- MTP3_ALARM_LS_START_FAILURE
- MTP3_ALARM_LS_END_FAILURE
- MTP3_ALARM_LS_BROADCAST_TFP
- MTP3_ALARM_LS_BROADCAST_TFA
- MTP3_ALARM_LS_CHANGE

The following Errors can be emitted by this MBean

- NON_OAM_RELATED_ERROR

Relationship between the MTP3 JAIN OAM MBeans

Version:
  1.1
Author:
  Colm Hayden & Phelim O'Doherty

Fields inherited from class jain.protocol.ss7.oam.OamManagedObjectMBean
`OBJECT_TYPE_CONCERNED_AREA, OBJECT_TYPE_GLOBAL_TITLE_ENTRY, OBJECT_TYPE_LINK, OBJECT_TYPE_LINKSET, OBJECT_TYPE_MTP2_LAYER_MANAGER, OBJECT_TYPE_MTP2_SAP, OBJECT_TYPE_MTP2_TIMER_PROFILE, OBJECT_TYPE_MTP3_LAYER_MANAGER, OBJECT_TYPE_MTP3_SAP, OBJECT_TYPE_MTP3_TIMER_PROFILE, OBJECT_TYPE_OAM_TIMER_VAL, OBJECT_TYPE_OWN_SIGNALLING_POINT, OBJECT_TYPE_ROUTE, OBJECT_TYPE_ROUTESET, OBJECT_TYPE_SCCP_ENTITY_SET, OBJECT_TYPE_SCCP_LAYER_MANAGER, OBJECT_TYPE_SCCP_ROUTING_CONTROL, OBJECT_TYPE_SCCP_SAP, OBJECT_TYPE_SCCP_TIMER_PROFILE, OBJECT_TYPE_SCREENING_TABLE, OBJECT_TYPE_TCAP_LAYER_MANAGER, OBJECT_TYPE_TCAP_NODE`

Fields inherited from class java.io.Serializable
`serialVersionUID`

Method Summary
`java.lang.Integer` | `getActiveLinkCount()` Returns the number of links that should be active (alligned and ready for service) in this Linkset at all times.
`ObjectName` | `getAdjacentSignallingPoint()` Gets the ObjectName of the Adjacent OwnSignallingPointMBean of this Linkset.
`ObjectName` | `getCombinedLinkSet(java.lang.Integer index)` Returns the ObjectName of the LinkSet at the specified position in the array of the LinkSetMBeans with which this Linkset is combined.
`ObjectName[]` | `getCombinedLinkSets()` Returns an array of ObjectNames of the LinkSetMBeans with which this Linkset is combined.
`java.lang.Integer` | `getCurrentCapacity()` Returns the Current Capacity of this Linkset.
`ObjectName` | `getLink(java.lang.Integer index)` Gets the ObjectName of the signalling link at the specified position in the set of links of this linkset
`java.lang.Integer` | `getLinkCount()` Gets the Number of this Linkset.
`ObjectName[]` | `getLinks()` Gets the ObjectNames of the list of signalling linkMBeans of this linkSetMBean
`java.lang.Integer` | `getMaxCapacity()` Returns the Maximum Capacity of this Linkset.
`java.lang.Boolean` | `isAllLinksActive()` Returns whether all the Links in this Linkset are active or innactive.
`java.lang.Boolean` | `isCombinedLinkSet()` Returns whether this Linkset is a combined Linkset
`java.lang.Boolean` | `isEnabled()` Returns whether this Linkset is enabled or disabled (the operational state of this Linkset).
`java.lang.Boolean` | `isRoutingAllowed()` Returns whether it is administratively permitted to route SS7 MSUs towards the Destination Signalling Point via this Linkset (the Adiministrative State).
`java.lang.Boolean` | `isTestedPeriodically()` This attribute indicates whether the periodic test procedure of ITU Rec.
`void` | `setActiveLinkCount(java.lang.Integer numberOfActiveLinks)` Sets the number of links that should be active (alligned and ready for service) in this Linkset at all times.
`void` | `setAdjacentSignallingPoint(ObjectName adjacentSignallingPoint)` Sets the Adjacent OwnSignallingPointMBean (identified by the specified ObjectName) of this LinksetMBean.
`void` | `setAllLinksActive(java.lang.Boolean active)` Activates or deactivates all the Links in this Linkset.
`void` | `setCombinedLinkSet(java.lang.Integer index, ObjectName linkSet)` Sets the LinksetMBean at the specified position in the combined linkset of this linkset
`void` | `setCombinedLinkSets(ObjectName[] linkSets)` Sets the combined Linkset of this linkset
`void` | `setEnabled(java.lang.Boolean enabled)` Sets the operational state of this Linkset.
`void` | `setLink(java.lang.Integer index, ObjectName link)` Sets the Signalling LinkMBean at the specified position in the set of links of this linkSetMBean
`void` | `setLinks(ObjectName[] links)` Sets the Signalling Links of this linkset
`void` | `setMaxCapacity(java.lang.Integer capacity)` Sets the Maximum Capacity of this Linkset.
`void` | `setRoutingAllowed(java.lang.Boolean allowed)` Sets whether it is administratively permitted to route SS7 MSUs towards the Destination Signalling Point via this Linkset (the Adiministrative State).

Methods inherited from interface jain.protocol.ss7.oam.OamManagedObjectMBean
`getName, getObjectId, getObjectName, getObjectType, getProprietaryInformation, getStatistic, setName, startPollingStatistic, stopPollingStatistic`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Method Detail

### getAdjacentSignallingPoint

    public ObjectName getAdjacentSignallingPoint()

  Gets the ObjectName of the Adjacent OwnSignallingPointMBean of this Linkset.
  Returns:
    the ObjectName of the Adjacent OwnSignallingPointMBean.

### setAdjacentSignallingPoint

    public void setAdjacentSignallingPoint(ObjectName adjacentSignallingPoint)

  Sets the Adjacent OwnSignallingPointMBean (identified by the specified ObjectName) of this LinksetMBean.
  Parameters:
    `adjacentSignallingPoint` - the Adjacent Signalling Point of this Linkset.

### setMaxCapacity

    public void setMaxCapacity(java.lang.Integer capacity)
                        throws java.lang.IllegalArgumentException

  Sets the Maximum Capacity of this Linkset. The maximum capacity of a signalling linkset is the maximum load that should be placed on the linkset, when all possible links are active and are working in service.
  Parameters:
    `capacity` - the maximum capacity of the Linkset
  Throws:
    java.lang.IllegalArgumentException - - if the supplied capacity is unacceptable

### getMaxCapacity

    public java.lang.Integer getMaxCapacity()

  Returns the Maximum Capacity of this Linkset. The maximum capacity of a signalling linkset is the maximum load that should be placed on the linkset, when all possible links are active and are working in service.
  Returns:
    the maximum capacity of the Linkset

### getCurrentCapacity

    public java.lang.Integer getCurrentCapacity()

  Returns the Current Capacity of this Linkset. The current capacity of the signalling linkset is the sum of the current capacities of the signalling links (or the maximum capacities when the current capacities of the links of the linkset are not defined) which are active, working and in service. This is a display only attribute.
  Returns:
    the Current Capacity of the Linkset

### setAllLinksActive

    public void setAllLinksActive(java.lang.Boolean active)

  Activates or deactivates all the Links in this Linkset.
  Parameters:
    `active` - either:

    - true This activates all the Links in this Linkset.
    - false This deactivates all the Links in this Linkset.

### isAllLinksActive

    public java.lang.Boolean isAllLinksActive()

  Returns whether all the Links in this Linkset are active or innactive.
  Returns:
    either:

    - true All the links are active
    - false All the links are innactive

### getLinkCount

    public java.lang.Integer getLinkCount()

  Gets the Number of this Linkset.
  Returns:
    the Number of this Linkset.

### isEnabled

    public java.lang.Boolean isEnabled()

  Returns whether this Linkset is enabled or disabled (the operational state of this Linkset).
  Returns:
    either:

    - true if this Linkset is enabled.
    - false if this Linkset is disabled.

### setEnabled

    public void setEnabled(java.lang.Boolean enabled)

  Sets the operational state of this Linkset.
  Parameters:
    `enabled` - the opertaional state (enabled or disabled) either:

    - true enables this Linkset.
    - false disables this Linkset.

### setRoutingAllowed

    public void setRoutingAllowed(java.lang.Boolean allowed)

  Sets whether it is administratively permitted to route SS7 MSUs towards the Destination Signalling Point via this Linkset (the Adiministrative State).
  Parameters:
    `allowed` - either:

    - true if routing is permitted (unlocked).
    - false otherwise (locked).

### isRoutingAllowed

    public java.lang.Boolean isRoutingAllowed()

  Returns whether it is administratively permitted to route SS7 MSUs towards the Destination Signalling Point via this Linkset (the Adiministrative State).
  Returns:
    either:

    - true if routing is permitted (unlocked).
    - false otherwise (locked).

### isTestedPeriodically

    public java.lang.Boolean isTestedPeriodically()

  This attribute indicates whether the periodic test procedure of ITU Rec. Q.707 is applied to the links in this signalling linkset.
  Returns:
    either:

    - true if the links are tested periodically.
    - false otherwise.

### getLinks

    public ObjectName[] getLinks()

  Gets the ObjectNames of the list of signalling linkMBeans of this linkSetMBean
  Returns:
    an array of ObjectNames of all of the signalling linkMBeans in this linkSetMBean

### setLink

    public void setLink(java.lang.Integer index,
                        ObjectName link)
                 throws TooManyInstancesException

  Sets the Signalling LinkMBean at the specified position in the set of links of this linkSetMBean
  Parameters:
    `index` - the index position of the element in the array.
    `link` - the ObjectName of Signalling linkMBean to be added to this linkSetMBean.
  Throws:
    TooManyInstancesException - - if the supplied index is greater than the number of Links permitted by this implementation.

### getLink

    public ObjectName getLink(java.lang.Integer index)

  Gets the ObjectName of the signalling link at the specified position in the set of links of this linkset
  Parameters:
    `index` - the index position of the element in the array.
  Returns:
    the Link at the specified position in the Linkset

### setLinks

    public void setLinks(ObjectName[] links)
                  throws TooManyInstancesException

  Sets the Signalling Links of this linkset
  Parameters:
    `links` - the Signalling links to be added to this linkset.
  Throws:
    TooManyInstancesException - - if the size of links is greater than the number of Links permitted by this implementation.

### getCombinedLinkSets

    public ObjectName[] getCombinedLinkSets()

  Returns an array of ObjectNames of the LinkSetMBeans with which this Linkset is combined.

### getCombinedLinkSet

    public ObjectName getCombinedLinkSet(java.lang.Integer index)

  Returns the ObjectName of the LinkSet at the specified position in the array of the LinkSetMBeans with which this Linkset is combined.
  Parameters:
    `index` - the index of the Linkset in the Combined Linkset array

### setCombinedLinkSet

    public void setCombinedLinkSet(java.lang.Integer index,
                                   ObjectName linkSet)
                            throws TooManyInstancesException

  Sets the LinksetMBean at the specified position in the combined linkset of this linkset
  Parameters:
    `index` - the index position of the element in the array.
    `linkset` - the linkset to be combined with this linkset.
  Throws:
    TooManyInstancesException - - if the supplied index is greater than the number of LinksetMBeans permitted in a combined Linkset by this implementation.

### setCombinedLinkSets

    public void setCombinedLinkSets(ObjectName[] linkSets)
                             throws TooManyInstancesException

  Sets the combined Linkset of this linkset
  Parameters:
    `linksets` - the Signalling linksets to be combined with this linkset.
  Throws:
    TooManyInstancesException - - if the size of linksets is greater than the number of LinksetMBeans permitted in a combined Linkset by this implementation.

### getActiveLinkCount

    public java.lang.Integer getActiveLinkCount()

  Returns the number of links that should be active (alligned and ready for service) in this Linkset at all times. This attribute represents the number of normally active signalling links in this Linkset. i.e. - the number of links in the Linkset that are to be aligned and ready for service at all times.
  Returns:
    the specified number of active links

### setActiveLinkCount

    public void setActiveLinkCount(java.lang.Integer numberOfActiveLinks)
                            throws java.lang.IllegalArgumentException

  Sets the number of links that should be active (alligned and ready for service) in this Linkset at all times. This attribute represents the number of normally active signalling links in this Linkset. i.e. - the number of links in the Linkset that are to be aligned and ready for service at all times.
  Parameters:
    `numberOfActiveLinks` - the required number of active links
  Throws:
    java.lang.IllegalArgumentException - - if the specified number represents an unnacceptable value

### isCombinedLinkSet

    public java.lang.Boolean isCombinedLinkSet()

  Returns whether this Linkset is a combined Linkset

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

11 August 2000

Copyright - 2000 Sun Microsystems